Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

While building the HDP cluster 2.6.3 getting the below error

While building the HDP cluster 2.6.3 getting the below error

New Contributor

Error: Error: Unable to run the custom hook script ['/usr/bin/python', '/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/hooks/before-ANY/scripts/hook.py', 'ANY', '/var/lib/ambari-agent/data/command-247.json', '/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/hooks/before-ANY', '/var/lib/ambari-agent/data/structured-out-247.json', 'INFO', '/var/lib/ambari-agent/tmp', 'PROTOCOL_TLSv1', '']

Please some one help me for the above error message and suggest

root root tmp directory permissions

cleaned up in all the servers , removed repo's and configured again however still getting the same error message.

Please some one assist me

thanks in advance

2 REPLIES 2

Re: While building the HDP cluster 2.6.3 getting the below error

Hi @Kishore Jannu,

can you show the full stack trace of what issue you are facing in code format

i am code format

This error stack looks to be generic and cant help in understanding what is the issue.

Re: While building the HDP cluster 2.6.3 getting the below error

New Contributor

@Kishore Jannu

Could you try below solution. it has worked for me.

mv /var/lib/ambari-agent/data/structured-out-status.json /var/lib/ambari-agent/data/structured-out-status.json-old

Try to restart

ambari-server restart

ambari-agent restart

Or

Could you please check your value for dfs.permissions.superusergroup. This might be causing your issue.

Try to modify the dfs.permissions.superusergroup variable from hdfs.

Could you please let me know if issue is still persist.

Thanks,

Owez